var usuario;
var objWndEditarGrupos, objEditarGruposLayDadosCel, objEditarGruposLayTbr;
var objWndEditarGruposLay, objEditarGruposLayDadosCelFrm, objDhxWindow;
var objEditarGruposLayAcessosCel, objEditarGruposLayAcessosCelTre, teste;

function editarGrupos(id) {

    objDhxWindow = new dhtmlXWindows();
    objDhxWindow.setSkin('dhx_skyblue');
    objWndEditarGrupos = objDhxWindow.createWindow('objWndEditarGrupos', 0, 0, 450, 350);
    objWndEditarGrupos.maximize();

    var title = 'Selecionar imagem';
    objWndEditarGrupos.setText(title);
    objWndEditarGrupos.setModal(1);
    objWndEditarGrupos.centerOnScreen();
    objWndEditarGruposLay = objWndEditarGrupos.attachLayout('1C');
    objEditarGruposLayDadosCel = objWndEditarGruposLay.cells('a');
    objEditarGruposLayDadosCel.hideHeader();
    objEditarGruposLayDadosCel.setHeight('120');
    objEditarGruposLayTbr = objEditarGruposLayDadosCel.attachToolbar();
    objEditarGruposLayTbr.setIconsPath(APP.appBaseUrl + 'images/');
    objEditarGruposLayDadosCel.attachURL(APP.baseUrl + 'usuarioImagem?usu=' + id, function () {
        console.log('voltou');
    });
}

function enableButtons(obj, bolHabilitado) {
    if (bolHabilitado) { //Caso algum item do grid seja selecionado:

        obj.getToolbar().enableItem('btnContato');
        obj.getToolbar().enableItem('btnEditar');
        obj.getToolbar().enableItem('btnExcluir');
        obj.getToolbar().enableItem('btnEmpresa');
        obj.getToolbar().enableItem('btnDependente');
        obj.getToolbar().enableItem('btnPagamento');
        obj.getToolbar().enableItem('btnImagem');
        obj.getToolbar().enableItem('btnMatriz');
        obj.getToolbar().enableItem('btnPiso');
    } else {
        obj.getToolbar().disableItem('btnContato');
        obj.getToolbar().disableItem('btnEditar');
        obj.getToolbar().disableItem('btnExcluir');
        obj.getToolbar().disableItem('btnEmpresa');
        obj.getToolbar().disableItem('btnDependente');
        obj.getToolbar().disableItem('btnPagamento');
        obj.getToolbar().disableItem('btnImagem');
        obj.getToolbar().disableItem('btnMatriz');
        obj.getToolbar().disableItem('btnPiso');
    }
}

$(document).ready(function () {


    usuario = new SMSDefaultUI({
        buttons: [
            "adicionar", "editar", "excluir", "sep",
            new SMSTbrButton({ id: 'btnContato', pos: 2, text: 'Direito de Acesso', icon: 'a.png', disable: true, smsDefaultUI: usuario }),
            new SMSTbrButton({ id: 'btnEmpresa', pos: 3, text: 'Empresas', icon: 'empresa.png', disable: true, smsDefaultUI: usuario }),
            new SMSTbrButton({ id: 'btnDependente', pos: 4, text: 'Dependente', icon: 'familia.png', disable: true, smsDefaultUI: usuario }),
            new SMSTbrButton({ id: 'btnPagamento', pos: 5, text: 'Pagamento', icon: 'dinheiro.png', disable: true, smsDefaultUI: usuario }),
            new SMSTbrButton({ id: 'btnImagem', pos: 6, text: 'Imagem', icon: 'foto.png', disable: true, smsDefaultUI: usuario }),
            new SMSTbrButton({ id: 'btnMatriz', pos: 7, text: 'Matriz de habilidades', icon: 'grid.gif', disable: true, smsDefaultUI: usuario }),
            new SMSTbrButton({ id: 'btnPiso', pos: 8, text: 'Piso Garantia', icon: 'piso.png', disable: true, smsDefaultUI: usuario }),
            'sep',
            "atualizar"],
        grid: {
            url: APP.baseUrl + 'Usuario/xml',
            refresh: function (self) {

                self.getLayout().progressOn();
                self.getGrid().clearAll();

                self.getGrid().load(self.grid.url, function () {
                    self.getLayout().progressOff();
                }, 'xml');

                enableButtons(self, false);
            },
            rowSelect: function (self, id, ind) {
                enableButtons(self, true);
            }
        }
    });


    usuario.getButton('adicionar').click(function () {
        editarWin(0,
            false, "Usuario", usuario, undefined, undefined, undefined, undefined, undefined,

            function () {

                jQuery('input[name="usuario[USU_CELULAR]"]').mask('(99)9999-9999');
                jQuery('input[name="usuario[USU_FONE]"]').mask('(99)9999-9999');
                jQuery('input[name="usuario[USU_CEP]"]').mask('99.999.999');
                jQuery('input[name="usuario[USU_CPF]"]').mask('999.999.999-99');
            });
    });

    usuario.getButton('editar').click(function () {
        editarWin(this.smsDefaultUI.getGrid().getSelectedRowId(),
            false, "Usuario", usuario, undefined, undefined, undefined, undefined, undefined,

            function () {

                jQuery('input[name="usuario[USU_CELULAR]"]').mask('(99)9999-9999');
                jQuery('input[name="usuario[USU_FONE]"]').mask('(99)9999-9999');
                jQuery('input[name="usuario[USU_CEP]"]').mask('99.999.999');
                jQuery('input[name="usuario[USU_CPF]"]').mask('999.999.999-99');
            });
    });

    usuario.getButton('excluir').click(function () {
        editarWin(this.smsDefaultUI.getGrid().getSelectedRowId(),
            true, "Usuario", usuario, undefined, undefined, undefined, undefined, undefined,

            function () {

                jQuery('input[name="usuario[USU_CELULAR]"]').mask('(99)9999-9999');
                jQuery('input[name="usuario[USU_FONE]"]').mask('(99)9999-9999');
                jQuery('input[name="usuario[USU_CEP]"]').mask('99.999.999');
                jQuery('input[name="usuario[USU_CPF]"]').mask('999.999.999-99');
            });
    });

    usuario.getButton('btnContato').click(function () {

        dhxWins = new dhtmlXWindows();
        dhxWins.setSkin('dhx_skyblue');

        APP.masterWindow = dhxWins.createWindow("WContato", 0, 0, 800, 500);
        //
        dhxWins.window("WContato").setText("Direito de Acesso");
        dhxWins.window("WContato").allowMove();
        dhxWins.window("WContato").attachURL(APP.baseUrl + 'usuarioAcesso?usu=' + usuario.getGrid().getSelectedRowId(), false);
        dhxWins.window("WContato").bringToTop();
        dhxWins.window("WContato").center();

    });

    usuario.getButton('btnEmpresa').click(function () {

        dhxWins = new dhtmlXWindows();
        dhxWins.setSkin('dhx_skyblue');

        APP.masterWindow = dhxWins.createWindow("WContato", 0, 0, 800, 500);
        dhxWins.window("WContato").setText("Empresa");
        dhxWins.window("WContato").allowMove();
        dhxWins.window("WContato").attachURL(APP.baseUrl + 'usuarioEmp?usu=' + usuario.getGrid().getSelectedRowId(), false);
        dhxWins.window("WContato").bringToTop();
        dhxWins.window("WContato").center();

    });

    usuario.getButton('btnPagamento').click(function () {
        editarWin(usuario.getGrid().getSelectedRowId(),
            false, "Pagamento", "editar", 'usuarioPagamen/form?usu=' + usuario.getGrid().getSelectedRowId(), 'usuarioPagamen/salvar'
            , undefined, undefined, function(){usuario.grid.refresh(usuario);},

            /*usuario.getButton('btnPagamento').click(function (){
             editarWin(3,false,"Pagamento","editar",'usuarioPagamen/form?usu=3',undefined,undefined,undefined,undefined,*/
            function () {
                jQuery('input[name="usuario[USU_CELULAR]"]').mask('(99)9999-9999');
                jQuery('input[name="usuario[USU_FONE]"]').mask('(99)9999-9999');
                jQuery('input[name="usuario[USU_CEP]"]').mask('99.999.999');
                jQuery('input[name="usuario[USU_CPF]"]').mask('999.999.999-99');
            });
    });

    usuario.getButton('btnDependente').click(function () {
        dhxWins = new dhtmlXWindows();
        dhxWins.setSkin('dhx_skyblue');
        APP.masterWindow = dhxWins.createWindow("WContato", 0, 0, 800, 500);
        dhxWins.window("WContato").setText("Dependente");
        dhxWins.window("WContato").allowMove();
        dhxWins.window("WContato").attachURL(APP.baseUrl + 'usuarioDepen?usu=' + usuario.getGrid().getSelectedRowId(), false);
        dhxWins.window("WContato").bringToTop();
        dhxWins.window("WContato").center();
    });
    
    usuario.getButton('btnPiso').click(function () {
        dhxWins = new dhtmlXWindows();
        dhxWins.setSkin('dhx_skyblue');
        APP.masterWindow = dhxWins.createWindow("WContato", 0, 0, 800, 500);
        dhxWins.window("WContato").setText("Dependente");
        dhxWins.window("WContato").allowMove();
        dhxWins.window("WContato").attachURL(APP.baseUrl + 'usuarioPiso?usu=' + usuario.getGrid().getSelectedRowId(), false);
        dhxWins.window("WContato").bringToTop();
        dhxWins.window("WContato").center();
    });
    
    

    usuario.getButton('btnImagem').click(function () {
        editarGrupos(usuario.getGrid().getSelectedRowId());

        dhxWins = new dhtmlXWindows();
        dhxWins.setSkin('dhx_skyblue');

        APP.masterWindow = dhxWins.createWindow("WContato", 0, 0, 800, 500);
        dhxWins.window("WContato").setText("Empresa");
        dhxWins.window("WContato").allowMove();
        dhxWins.window("WContato").attachURL(APP.baseUrl + 'usuarioImagem?usu=' + usuario.getGrid().getSelectedRowId(), false);
        dhxWins.window("WContato").bringToTop();
        dhxWins.window("WContato").center();
    });

    usuario.getButton('btnMatriz').click(function () {

        dhxWins = new dhtmlXWindows();
        dhxWins.setSkin('dhx_skyblue');

        APP.masterWindow = dhxWins.createWindow("WMatriz", 0, 0, 800, 500);
        //
        dhxWins.window("WMatriz").setText("Matriz de habilidades de " + usuario.getGrid().cells(usuario.getGrid().getSelectedRowId(), 0).getValue().trim());
        dhxWins.window("WMatriz").allowMove();
        dhxWins.window("WMatriz").attachURL(APP.baseUrl + 'matrizHabilidades?usu=' + usuario.getGrid().getSelectedRowId(), false);
        dhxWins.window("WMatriz").bringToTop();
        dhxWins.window("WMatriz").center();

    });
});