//custom combo
//<script type="text/javascript">
// Retorna a quantidade de op��es de um combo.
//dhtmlxSuite/dhtmlxWindows/codebase/dhtmlxcommon.js
dhtmlXCombo.prototype.getOptionsCount = function(){
	return (this.optionsArr.length);
}; 
//</script>

//custom common
//<script type="text/javascript" src="/ierp/dhtmlxSuite/dhtmlxWindows/codebase/dhtmlxcommon.js"></script>
//<script type="text/javascript">
window.dhx_globalImgPath = APP.baseUrl + "/dhtmlxSuite/imgs/";
//</script>

//-------------------------------------------------------------------
dhtmlXGridObject.prototype._in_header_master_checkbox=function(t,i,c){
	t.innerHTML=c[0]+"<input type='checkbox' />"+c[1];
	var self=this;
	t.firstChild.onclick=function(e){
		//any custom logic here
		self._build_m_order();
		var j=self._m_order?self._m_order[i]:i;
		var val=this.checked?1:0;
		self.forEachRowA(function(id){
			var c=this.cells(id,j);
			if (c.isCheckbox()) {
				c.setValue(val);
				try{
					c.grid.masterCheckBoxOnCheck();
				} catch(e){}
			}
		});
		(e||event).cancelBubble=true;
	}
}
//-------------------------------------------------------------------
function moedaSort(a,b,order){
	fltA = a.replace(/\./g, '').replace(/,/g,'.');
    fltB = b.replace(/\./g, '').replace(/,/g,'.');
	return ((parseFloat(fltA)>parseFloat(fltB)?1:-1) * (order=="asc"?1:-1));
}

function dateSort(a,b,order) {
	function parseData(dtData) {
		// Retorna um array no formato dia, m�s e ano respectivamente.
		// Formatos suportados dd/mm/aaaa ou aaaa-mm-dd
		arrRetorno = new Array();
		if (a.indexOf('/') > 0) {
			// data no formato dd/mm/aaaa
			arrRetorno = dtData.split('/');
		} else {
			// data no formato aaaa-mm-dd
			arrRetorno = dtData.split('-').reverse();
		}
		return (arrRetorno);
	}
	tmpArray = parseData(a)
	fltA = new Date (tmpArray[2], tmpArray[1], tmpArray[0], 0, 0, 0, 0);
	tmpArray = parseData(b)
	fltB = new Date (tmpArray[2], tmpArray[1], tmpArray[0], 0, 0, 0, 0);
	return ((fltA>fltB ? 1 : -1) * (order == 'asc' ? 1 : -1));
}

//-------------------------------------------------------------------
if (dhtmlx.hasOwnProperty('prototype'))
    dhtmlx.prototype.destructors = [];

//-------------------------------------------------------------------
function traduzGantt(objGantt) {
	// Faz a configuração inicial do objeto Gantt.
	objGantt.config.sort = true;
	objGantt.config.date_grid = '%d/%m/%Y';

	objGantt.config.scale_unit = "month";
	objGantt.config.step = 1;
	objGantt.config.date_scale = "%F / %Y";
	objGantt.config.min_column_width = 100;

	objGantt.config.scale_height = 60;

	var weekScaleTemplate = function(date){
		var dateToStr = objGantt.date.date_to_str("%d");
		var endDate = objGantt.date.add(objGantt.date.add(date, 1, "week"), -1, "day");
		return dateToStr(date) + " - " + dateToStr(endDate);
	};

	objGantt.config.subscales = [
		{unit:"week", step:1, template:weekScaleTemplate}
		/*,
		{unit:"day", step:1, date:"%D" }
		*/
	];

	// Configuração das cores para as tarefas.
	objGantt.templates.task_class = function(start, end, task){
		return task.tipo;
	};

}

function lockGantt(objGantt) {
	// Bloqueia a ediçao no gráfico de Gantt

	objGantt.readonly = true;
	objGantt.config.drag_move = false;
	objGantt.config.drag_links = false;
	objGantt.config.drag_progress = false;
	objGantt.config.drag_resize = false;
	objGantt.config.fit_tasks = true;
	objGantt.config.columns = [
		{name:"text",       width:"*", tree:true },
		{name:"start_date", width: "80"},
		{name:"duration",   width: "60", align: "right"},
		{name:"progress",  label: "Executado", width: "60", align: "right", template:
			function(task){
				return (parseFloat(task.progress)*100).toFixed(2).toString().replace('.',',') + '%';
			}
		}
	];
	objGantt.attachEvent('onBeforeLightbox', function(id) {
		return false;
	});
}

function ganttPostInit(objGantt) {
	// Formatação padrão para exibição após a inicialização do objeto do Gantt.

	// Configurações para os finais de semana
	/*
	objGantt.templates.scale_cell_class = function(date){
		if(date.getDay()==0||date.getDay()==6){
			return "ganttWeekend";
		}
	};
	*/

	objGantt.templates.tooltip_date_format=function (date){
		var objDtFormat = gantt.date.date_to_str("%d/%m/%Y");
		return objDtFormat(date);
	};

	objGantt.templates.tooltip_text = function(start,end,task){
		return "<b>Tarefa: </b> "+task.text+"<br/><b>Início: </b> " +
			gantt.templates.tooltip_date_format(start)+
			"<br/><b>Término: </b> "+gantt.templates.tooltip_date_format(end);
	};
}