var win = {};

$(document).ready(function () {
    $(".back").click(function () {
        redirectPage(this.id);
    });
});

var viewOS = {
    janelaPai: null,
    title: 'View OS',
    open: function (param, wTitle, janelaPai) {
        var idNewWindow;
        if (janelaPai == null)
            janelaPai = parent.APP.masterWindow;
        var strTitle = this.title;
        if ((typeof wTitle != "undefined") && wTitle != null) {
            strTitle = wTitle;
        }
        idNewWindow = openNewWindow(950, 500, strTitle, 'viewOS/xml?id=' + param);
        if (janelaPai && jQuery.isArray(janelaPai.arrayJanelas)) {
            janelaPai.arrayJanelas.push(idNewWindow);
        }
    }
};

var viewReuniao = {
	janelaPai: null,
	title: 'Reunião',
	open: function (param, wTitle, janelaPai)
	{
		var idNewWindow;
		if(janelaPai == null)
			janelaPai = parent.APP.masterWindow;
		var strTitle = this.title;
		if ((typeof wTitle != "undefined") && wTitle != null) {
			strTitle = wTitle;
		}
		idNewWindow = openNewWindow(950, 500, strTitle, 'viewReuniao/xml?id=' + param);
		if (janelaPai && jQuery.isArray(janelaPai.arrayJanelas)) {
			janelaPai.arrayJanelas.push(idNewWindow);
		}

	}

};

function parseURLWin(strURL) {
    arrUrl = strURL.split('?')
    strTmpUrl = arrUrl[0];

    if (arrUrl.length > 1) {
        arrUrl = arrUrl[1].split('/');
        strTmpUrl += '/' + arrUrl[1];
    }
    return (strTmpUrl)
}

function editarWin(id, excluir, title, obj, urlForm, urlSalvar, urlExcluir, tamanho, callback, callbackForm, consulta) {
    var titulo = "";
    param = id ? '?id=' + id : '';

    urlForm = (urlForm == undefined || urlForm == '') ? parseURLWin(window.location.href + '/form') + param : urlForm;
    urlSalvar = (urlSalvar == undefined || urlSalvar == '') ? parseURLWin(window.location.href + '/salvar') : urlSalvar;
    urlExcluir = (urlExcluir == undefined || urlExcluir == '') ? parseURLWin(window.location.href + '/excluir') : urlExcluir;

    if ((callbackForm == undefined))
        callbackForm = function () {
            if (excluir)
                win.form.lock();

        };

    if (consulta) titulo += "Consultar"
    else if (id == false) titulo += "Adicionar";
    else titulo += (id && excluir ? "Excluir" : "Editar");

    titulo += " " + title;

    if (tamanho == undefined)
        win.window = defaultWindow().createWindow('win', 0, 0, 600, 550);
    else if (!tamanho.largura || !tamanho.altura)
        win.window = defaultWindow().createWindow('win', 0, 0, 500, tamanho);
    else {
        win.window = defaultWindow().createWindow('win', 0, 0, tamanho.largura, tamanho.altura);
    }
    win.window.setText(titulo);
    win.window.setModal(true);
    win.window.centerOnScreen();

    win.window.attachEvent('onClose', function () {
        try {
            win.form = null;
            win.toolbar = null;
            win.layout.a = null;
            win.layout = null;
            win.window = null;
        } catch (e) {
        }
        return (true);
    });

    win.layout = win.window.attachLayout({
        pattern: '1C',
        skin: 'dhx_skyblue',
        cells: [
            {
                id: 'a',
                header: false,
                width: 435,
                fix_sizes: [true, true]
            }
        ]
    });
    win.layout.progressOn();

    win.layout.a = win.layout.cells('a');

    win.toolbar = win.layout.a.attachToolbar({
        skin: 'dhx_skyblue',
        icon_path: APP.appBaseUrl + 'images/'
    });

    win.form = win.layout.a.attachForm();
    win.form.loadStruct(urlForm, function () {

        win.form.forEachItem(function(id){
            if (win.form.getItemType(id) == 'combo')
                try {
                    win.form.getCombo(id).enableFilteringMode(true);
                } catch(e) {}
        });

        try {
            callbackForm();
        } catch (e) {
        }
        jQuery('.valNum').find('input').keydown(function (event) {
            // Allow: backspace, delete, tab, escape, and enter
            if (event.keyCode == 46 || event.keyCode == 8 || event.keyCode == 9 || event.keyCode == 27 || event.keyCode == 13 || event.keyCode == 188 || event.keyCode == 110 ||
                // Allow: Ctrl+A
                (event.keyCode == 65 && event.ctrlKey === true) ||
                // Allow: home, end, left, right
                (event.keyCode >= 35 && event.keyCode <= 39)) {
                // let it happen, don't do anything
                return;
            }
            else {
                // Ensure that it is a number and stop the keypress
                if (event.shiftKey || (event.keyCode < 48 || event.keyCode > 57) && (event.keyCode < 96 || event.keyCode > 105 )) {
                    event.preventDefault();
                }
            }
        });
        try {
            bolPrimeiroCampo = false;
            win.form.forEachItem(function (id, radioValue) {
                if (!bolPrimeiroCampo) {
                    strTipo = (win.form.getItemType(id));
                    if ((strTipo == 'input') || (strTipo == 'textarea') || (strTipo == 'password') || (strTipo == 'calendar') || (strTipo == 'editor')) {
                        if (!win.form.isItemHidden(id)) {
                            bolPrimeiroCampo = true;
                            win.form.setItemFocus(id);
                            //win.layout.cells('a').getView().formObj.scrollTop = 0;
                        }
                    } else {
                        if (strTipo == 'combo')
                            win.form.getCombo(id).enableFilteringMode(true);
                    }
                } else {
                    if (win.form.getItemType(id) == 'combo')
                        win.form.getCombo(id).enableFilteringMode(true);
                }
            });
        } catch (e) {
        }

        win.layout.progressOff();
    });

    if (excluir) {//Caso usuario clique em excluir, botão"Confirmar Exclusão" sera criado
        win.toolbar.addButton('btnExcluir', 0, 'Confirmar exclusão', 'apagar.png', 'apagar.png');
        win.form.lock();
    } else {
        if (!consulta)//Caso usuario clique em editar, botão "Salvar" sera criado
            win.toolbar.addButton('btnSalvar', 0, 'Salvar', 'salvar.png', 'salvar.png');
    }

    //Validações por bot�o clicado
    win.toolbar.attachEvent('onClick', function (id) {
        jQuery('input,textarea,select').blur();
        switch (id) {
            case 'btnSalvar':
                jQuery('input,select').blur();

                if (win.form.getInput('form_calendar_2') != undefined) {
                    win.form.getInput('form_calendar_2').click();
                    win.form.getInput('form_calendar_2').click();
                }

                if (win.form.validate())
                    win.layout.progressOn();

                win.form.send(urlSalvar, function (xml) {

                    win.layout.progressOff();

                    jQuery(xml.xmlDoc.responseXML).find('mensagem').each(function () {
                        dhtmlx.message({
                            text: $(this).text()
                        });
                    });

                    jQuery(xml.xmlDoc.responseXML).find('sucesso').each(function () {
                        if ($(this).text() == '1') {
                            win.window.close();
                            if (callback == undefined)
                                obj.grid.refresh(obj);
                            else
                                callback(xml);
                        }
                    });
                });
                break;

            case 'btnExcluir':

                win.form.send(urlExcluir, function (xml) {

                    if (xml.xmlDoc.response.length > 0) {
                        bolSucesso = false;
                        $(xml.xmlDoc.responseXML).find('sucesso').each(function() {
                            bolSucesso = ($(this).text() == '1');
                        });
                        if (!bolSucesso) {
                            dhtmlx.message({ text: "Registro não pode ser deletado!" });
                        } else {
                            $(xml.xmlDoc.responseXML).find('mensagem').each(function() {
                                dhtmlx.message({ text: $(this).text() });
                            });
                            if (callback == undefined)
                                obj.grid.refresh(obj);
                            else
                                callback();
                        }
                        win.window.close();
                    } else {
                        dhtmlx.message({ text: "Registro deletado com sucesso!" });

                        win.window.close();
                        if (callback == undefined)
                            obj.grid.refresh(obj);
                        else
                            callback();
                    }
                });

                break;
        }
    });

    return win;

}

function redirectPage(pag) {
    setTimeout("window.location.href='" + pag + "'", 0);
}

function defaultWindow() {
    objDhxWindow = new dhtmlXWindows(); //Criando a Janela
    objDhxWindow.setSkin('dhx_skyblue'); //Setando o Skin da tela
    return objDhxWindow;
}

function float2moeda(fltNum) {
    var x = 0;
    var strRetorno = '';

    if (isNaN(fltNum)) {
        fltNum = "0";
    }

    if (fltNum < 0) {
        fltNum = Math.abs(fltNum);
        strRetorno = ' - ';
    }


    intCents = Math.floor((fltNum * 100 + 0.5) % 100);

    fltNum = Math.floor((fltNum * 100 + 0.5) / 100).toString();

    if (intCents < 10) {
        intCents = "0" + intCents;
    }

    for (var i = 0; i < Math.floor((fltNum.length - (1 + i)) / 3); i++) {
        fltNum = fltNum.substring(0, fltNum.length - (4 * i + 3)) + '.' + fltNum.substring(fltNum.length - (4 * i + 3));
    }

    strRetorno = strRetorno + fltNum + ',' + intCents;
    return strRetorno;
}

function moeda2float(fltNum) {
    fltRetorno = 0;
    if ($.trim(fltNum).length > 0) {
        while (fltNum.indexOf('.') > 0) {
            fltNum = fltNum.replace('.', '');
        }
        fltRetorno = parseFloat(fltNum.replace('.', '').replace(',', '.'));
    }
    return (fltRetorno);
}

function float2hora(fltNum) {
    fltRetorno = '00:00';
    if (fltNum > 0) {
        h = Math.floor(fltNum / 60);
        m = fltNum - (h * 60);

        hora = h.toString();
        while (hora.length < 2)
            hora = '0' + hora;

        minutos = m.toString();
        while (minutos.length < 2)
            minutos = '0' + minutos;

        fltRetorno = hora + ':' + minutos;
    }
    return (fltRetorno);
}

function hora2float(strHora) {
    fltRetorno = 0;
    if ($.trim(strHora).length == 5) {
        arrHora = strHora.split(':');
        fltRetorno = parseFloat(arrHora[0]) * 60 + parseFloat(arrHora[1]);
    }
    return (fltRetorno);
}

function coluna2float(strTipo, strValor) {
    // Converte a coluna baseado no valor especificado para float.
    fltRetorno = 0;
    if (strTipo == 'time') {
        fltRetorno = hora2float(strValor);
    } else {
        if (strTipo == 'number') {
            fltRetorno = parseFloat(moeda2float(strValor.toString()));
        }
    }
    return (fltRetorno);
}

function float2coluna(strTipo, strValor) {
    // Formata o valor conforme o tipo especificado.
    strRetorno = '';
    if (strTipo == 'time') {
        strRetorno = float2hora(strValor);
    } else {
        if (strTipo == 'number') {
            strRetorno = float2moeda(strValor);
        }
    }
    return (strRetorno);
}

function enableButtons(obj, bolHabilitado) {
    if (bolHabilitado) { //Caso algum item do grid seja selecionado:
        obj.getToolbar().enableItem('btnEditar');
        obj.getToolbar().enableItem('btnExcluir');
    } else {
        obj.getToolbar().disableItem('btnEditar');
        obj.getToolbar().disableItem('btnExcluir');
    }
}

function enableButtonsOS(obj, bolHabilitado) {
    if (bolHabilitado) { //Caso algum item do grid seja selecionado:
        obj.getToolbar().enableItem('btnEditar');
        obj.getToolbar().enableItem('btnExcluir');
        obj.getToolbar().enableItem('btnConsultar');
    } else {
        obj.getToolbar().disableItem('btnEditar');
        obj.getToolbar().disableItem('btnExcluir');
        obj.getToolbar().disableItem('btnConsultar');
    }
}

function trim(strTexto) {
    // remove os espaços no início e no término da string. Também substitui 2 espaços por um único.
    return (strTexto.replace(/\s+/gm, ' ').replace(/^\s+/gm, '').replace(/\s+$/gm, ''));
}

function number_format(number, decimals, dec_point, thousands_sep) {

    var n = number, prec = decimals;
    n = !isFinite(+n) ? 0 : +n;
    prec = !isFinite(+prec) ? 0 : Math.abs(prec);
    var sep = (typeof thousands_sep == "undefined") ? ',' : thousands_sep;
    var dec = (typeof dec_point == "undefined") ? '.' : dec_point;

    var s = (prec > 0) ? n.toFixed(prec) : Math.round(n).toFixed(prec); //fix for IE parseFloat(0.55).toFixed(0) = 0;

    var abs = Math.abs(n).toFixed(prec);
    var _, i;

    if (abs >= 1000) {
        _ = abs.split(/\D/);
        i = _[0].length % 3 || 3;

        _[0] = s.slice(0, i + (n < 0)) +
            _[0].slice(i).replace(/(\d{3})/g, sep + '$1');

        s = _.join(dec);
    } else {
        s = s.replace('.', dec);
    }

    return s;
}

function openNewWindow(intLargura, intAltura, strTitulo, strUrl, idHelp, strBotoes) {

    if (typeof strBotoes == 'undefined') {
        strBotoes = '-1';
    }

    // Abre uma nova janela a partir de uma janela filha.
    APP.masterWindow = defaultWindow().createWindow("W", 0, 0, intLargura, intAltura);
    //APP.masterWindow.button("help").show();
    APP.masterWindow.setText(strTitulo);
    APP.masterWindow.allowMove();
    if (strBotoes == "0") {
        APP.masterWindow.button("minmax1").hide();
        APP.masterWindow.setMaxDimension(intLargura, intAltura);
    }
    if (strBotoes == "2") {
        APP.masterWindow.maximize();
    }
    //APP.masterWindow.attachURL(APP.baseUrl + strUrl, false);
    var endereco = strUrl.substr(0, 4);
    if (endereco == 'http')
        APP.masterWindow.attachURL(strUrl, false);
    else
        APP.masterWindow.attachURL(APP.baseUrl + strUrl, false);

    APP.masterWindow.bringToTop();
    APP.masterWindow.center();

    APP.masterWindow.arrayJanelas = new Array();
    APP.masterWindow.attachEvent("onClose", function (win) {
        //openHelpWindow(intLargura, intAltura, strTitulo, idHelp);
        for (indJanela in win.arrayJanelas) {
            if (defaultWindow().isWindow(win.arrayJanelas[indJanela]) && win.getId() != defaultWindow().window(win.arrayJanelas[indJanela]).getId()) {
                defaultWindow().window(win.arrayJanelas[indJanela]).close();
            }
//			console.log(win.arrayJanelas[indJanela]);
        }
        return true;
    });

//	console.log(defaultWindow());
    return ("W");
}

function removeTag(strTexto, strInicio, strFim) {
    // Remove o conteudo de uma tag inteira dentro de uma string. A string não precisa obrigatoriamente ser um xml.
    while (strTexto.indexOf(strInicio) >= 0) {
        intInicio = strTexto.indexOf(strInicio);
        intFim = strTexto.indexOf(strFim) + strFim.length;
        strTexto = strTexto.substring(0, intInicio) + strTexto.substring(intFim);
    }
    return (strTexto);
}

function limpaTagEditor(strTexto, bolPreservarTags) {
    // Remove todo o HTML existente dentro de uma string preservando apenas <br>,<b></b>,<i></i>,<u></u> caso bolPreservarTags seja especificado como true.
    strTexto = removeTag(strTexto, '<!--', '-->');

    if (bolPreservarTags) {
        while (strTexto.indexOf('<br><br>') >= 0) {
            strTexto = strTexto.replace('<br><br>', '{[br][br]}');
        }
        while (strTexto.indexOf('<br>') >= 0) {
            strTexto = strTexto.replace('<br>', '{[br]}');
        }
        while (strTexto.indexOf(String.fromCharCode(13, 10)) >= 0) {
            strTexto = strTexto.replace(String.fromCharCode(13, 10), '{[br]}');
        }
        while (strTexto.indexOf(String.fromCharCode(13)) >= 0) {
            strTexto = strTexto.replace(String.fromCharCode(13), '{[br]}');
        }
        while (strTexto.indexOf(String.fromCharCode(10)) >= 0) {
            strTexto = strTexto.replace(String.fromCharCode(10), '{[br]}');
        }

        while (strTexto.indexOf('<b>') >= 0) {
            strTexto = strTexto.replace('<b>', '{[b]}');
        }
        while (strTexto.indexOf('</b>') >= 0) {
            strTexto = strTexto.replace('</b>', '{[/b]}');
        }

        while (strTexto.indexOf('<i>') >= 0) {
            strTexto = strTexto.replace('<i>', '{[i]}');
        }
        while (strTexto.indexOf('</i>') >= 0) {
            strTexto = strTexto.replace('</i>', '{[/i]}');
        }

        while (strTexto.indexOf('<u>') >= 0) {
            strTexto = strTexto.replace('<u>', '{[u]}');
        }
        while (strTexto.indexOf('</u>') >= 0) {
            strTexto = strTexto.replace('</u>', '{[/u]}');
        }

        strTexto = strTexto.replace(/<\/?[^>]+(>|$)/g, "");

        while (strTexto.indexOf('{[br][br]}') >= 0) {
            strTexto = strTexto.replace('{[br][br]}', '<br><br>');
        }
        while (strTexto.indexOf('{[br]}') >= 0) {
            strTexto = strTexto.replace('{[br]}', '<br>');
        }

        while (strTexto.indexOf('{[b]}') >= 0) {
            strTexto = strTexto.replace('{[b]}', '<b>');
        }
        while (strTexto.indexOf('{[/b]}') >= 0) {
            strTexto = strTexto.replace('{[/b]}', '</b>');
        }

        while (strTexto.indexOf('{[i]}') >= 0) {
            strTexto = strTexto.replace('{[i]}', '<i>');
        }
        while (strTexto.indexOf('{[/i]}') >= 0) {
            strTexto = strTexto.replace('{[/i]}', '</i>');
        }

        while (strTexto.indexOf('{[u]}') >= 0) {
            strTexto = strTexto.replace('{[u]}', '<u>');
        }
        while (strTexto.indexOf('{[/u]}') >= 0) {
            strTexto = strTexto.replace('{[/u]}', '</u>');
        }
    } else
        strTexto = strTexto.replace(/<\/?[^>]+(>|$)/g, "");
    return (strTexto);
}